type 'a t = 'a list

val append : 'a t -> 'a t -> 'a t
val concat : 'a t t -> 'a t
val drop : int -> 'a t -> 'a t
val drop_while : ('a -> bool) -> 'a t -> 'a t
val filter : ('a -> bool) -> 'a t -> 'a t
val foldl1 : ('a -> 'a -> 'a) -> 'a t -> 'a
val foldl : ('a -> 'b -> 'a) -> 'a -> 'b t -> 'a
val foldr1 : ('a -> 'a -> 'a) -> 'a t -> 'a
val foldr : ('a -> 'b -> 'b) -> 'a t -> 'b -> 'b
val hd : 'a t -> 'a
val init : 'a -> int -> 'a t
val join : 'a t -> 'a t t -> 'a t
val last : 'a t -> 'a
val length : 'a t -> int
val map : ('a -> 'b) -> 'a t -> 'b t
val nth : int -> 'a t -> 'a
val rev : 'a t -> 'a t
val span : ('a -> bool) -> 'a t -> ('a t * 'a t)
val split_at : int -> 'a t -> 'a t * 'a t
val take : int -> 'a t -> 'a t
val take_while : ('a -> bool) -> 'a t -> 'a t
val tl : 'a t -> 'a t
val until : ('a -> bool) -> ('a -> 'a) -> 'a -> 'a
val zip2 : 'a t -> 'b t -> ('a * 'b) t
val zip2_with : ('a -> 'b -> 'c) -> 'a t -> 'b t -> 'c t
val zip4 : 'a t -> 'b t -> 'c t -> 'd t -> ('a * 'b * 'c * 'd) t
